## r-cran-dygraphs 1.1.1.6+dfsg

=== DESCRIPTION ===
Package: dygraphs
Type: Package
Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
Version: 1.1.1.6
Authors@R: c(
    person("Dan", "Vanderkam", role = c("aut", "cph"),
       comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
    person("Petr", "Shevtsov", role = c("cre", "cph"),
       email = "petr.shevtsov@gmail.com"),
    person("JJ", "Allaire", role = c("aut")),
    person(family = "RStudio", role = "cph"),
    person("Jonathan", "Owen", role = c("aut", "cph")),
    person("Daniel", "Gromer", role = c("aut", "cph")),
    person("Benoit", "Thieurmel", role = c("aut", "cph")),
    person("Kent", "Laukhuf", role = "ctb"),
    person(family = "jQuery Foundation", role = "cph",
           comment = "jQuery library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
           comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery/AUTHORS.txt")
    )
URL: https://github.com/rstudio/dygraphs
BugReports: https://github.com/rstudio/dygraphs/issues
Description: An R interface to the 'dygraphs' JavaScript charting library
    (a copy of which is included in the package). Provides rich facilities
    for charting time-series data in R, including highly configurable
    series- and axis-display and interactive features like zoom/pan and
    series/point highlighting.
License: MIT + file LICENSE
Depends: R (>= 3.0)
Imports: magrittr, htmlwidgets (>= 0.6), htmltools (>= 0.3.5), zoo (>=
        1.7-10), xts (>= 0.9-7)
Suggests: testthat
Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-07-11 21:29:28 UTC; petr
Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
    http://dygraphs.com/),
  Petr Shevtsov [cre, cph],
  JJ Allaire [aut],
  RStudio [cph],
  Jonathan Owen [aut, cph],
  Daniel Gromer [aut, cph],
  Benoit Thieurmel [aut, cph],
  Kent Laukhuf [ctb],
  jQuery Foundation [cph] (jQuery library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/htmlwidgets/lib/jquery/AUTHORS.txt)
Maintainer: Petr Shevtsov <petr.shevtsov@gmail.com>
Repository: CRAN
Date/Publication: 2018-07-11 22:00:03 UTC

=== inst/examples/shiny/DESCRIPTION ===
Title: Shiny dygraphs
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
DisplayMode: Showcase
Type: Shiny

=== debian/changelog ===
r-cran-dygraphs (1.1.1.6+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:36:25 +0000

r-cran-dygraphs (1.1.1.6+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 10:10:35 +0200

r-cran-dygraphs (1.1.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 08:42:29 +0200

r-cran-dygraphs (1.1.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set flag to make noise in diff about dh-update-R trying to remove
    libjs-jquery

 -- Andreas Tille <tille@debian.org>  Mon, 02 Jul 2018 11:29:10 +0200

r-cran-dygraphs (1.1.1.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #898723)

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2018 15:35:05 +0200

=== debian/control ===
Source: r-cran-dygraphs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-magrittr,
               r-cran-htmlwidgets,
               r-cran-htmltools,
               r-cran-zoo,
               r-cran-xts
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dygraphs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dygraphs.git
Homepage: https://cran.r-project.org/package=dygraphs
Rules-Requires-Root: no

Package: r-cran-dygraphs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to 'Dygraphs' interactive time series charting library
 An R interface to the 'dygraphs' JavaScript charting library
 (a copy of which is included in the package). Provides rich facilities
 for charting time-series data in R, including highly configurable
 series- and axis-display and interactive features like zoom/pan and
 series/point highlighting.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/dygraphs_([-\d.]*)\.tar\.gz
